dataset:
  name: wn18
  num_entities: 40943
  num_relations: 18
  test_size: 5000
  train_size: 141442
  valid_size: 5000
entity_ranking:
  metrics_per:
    relation_type: true
eval:
  batch_size: 256
import:
- reciprocal_relations_model
- transe
lookup_embedder:
  dim: 128
  initialize: uniform_
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.10729855034497567
    uniform_:
      a: -0.38962866740215174
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize: ''
model: reciprocal_relations_model
negative_sampling:
  num_samples:
    o: 2
    s: 1000
reciprocal_relations_model:
  base_model:
    type: transe
train:
  auto_correct: true
  batch_size: 256
  loss: bce
  loss_arg: 14.250112183
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 9
    threshold: 0.0001
  max_epochs: 400
  optimizer: Adam
  optimizer_args:
    lr: 0.0027175088993333166
  type: negative_sampling
transe:
  entity_embedder:
    dropout: -0.422975653353568
    normalize:
      p: -1.0
    regularize_weight: 1.6636151211900268e-20
  l_norm: 2.0
  relation_embedder:
    dropout: -0.11585208066935981
    normalize:
      p: -1.0
    regularize_weight: 0.00020809861953333656
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

